(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     12843,        393]
NotebookOptionsPosition[     12265,        368]
NotebookOutlinePosition[     12602,        383]
CellTagsIndexPosition[     12559,        380]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
plane-stress Bedingung f\[UDoubleDot]r kleine Deformationen\
\>", "Section",
 CellChangeTimes->{{3.529648641096237*^9, 3.5296486610058928`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "'"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"trikline", " ", "Symmetrie"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CC", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "c11", ",", "c12", ",", "c13", ",", "c14", ",", "c15", ",", "c16"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "c12", ",", "c22", ",", "c23", ",", "c24", ",", "c25", ",", "c26"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "c13", ",", "c23", ",", "c33", ",", "c34", ",", "c35", ",", "c36"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "c14", ",", "c24", ",", "c34", ",", "c44", ",", "c45", ",", "c46"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "c15", ",", "c25", ",", "c35", ",", "c45", ",", "c55", ",", "c56"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "c16", ",", "c26", ",", "c36", ",", "c46", ",", "c56", ",", "c66"}], 
       "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "Isotropie", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CCI", "=", 
    RowBox[{"CC", "//.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c11", "\[Rule]", 
        RowBox[{
         RowBox[{"2", " ", "\[Mu]"}], "+", "\[Lambda]"}]}], ",", 
       RowBox[{"c22", "\[Rule]", "c11"}], ",", 
       RowBox[{"c33", "\[Rule]", "c11"}], ",", 
       RowBox[{"c12", "\[Rule]", "\[Lambda]"}], ",", 
       RowBox[{"c13", "\[Rule]", "c12"}], ",", 
       RowBox[{"c23", "\[Rule]", "c12"}], ",", 
       RowBox[{"c44", "\[Rule]", 
        RowBox[{"c11", "-", "c12"}]}], ",", 
       RowBox[{"c55", "\[Rule]", "c44"}], ",", 
       RowBox[{"c66", "\[Rule]", "c44"}], ",", 
       RowBox[{"c14", "\[Rule]", "0"}], ",", 
       RowBox[{"c15", "\[Rule]", "c14"}], ",", 
       RowBox[{"c16", "\[Rule]", "c14"}], ",", 
       RowBox[{"c24", "\[Rule]", "c14"}], ",", 
       RowBox[{"c25", "\[Rule]", "c14"}], ",", 
       RowBox[{"c26", "\[Rule]", "c14"}], ",", 
       RowBox[{"c34", "\[Rule]", "c14"}], ",", 
       RowBox[{"c35", "\[Rule]", "c14"}], ",", 
       RowBox[{"c36", "\[Rule]", "c14"}], ",", 
       RowBox[{"c44", "\[Rule]", "c14"}], ",", 
       RowBox[{"c45", "\[Rule]", "c14"}], ",", 
       RowBox[{"c46", "\[Rule]", "c14"}], ",", 
       RowBox[{"c56", "\[Rule]", "c14"}]}], "}"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "e11", ",", "e22", ",", "e33", ",", "e12", ",", "e13", ",", "e23"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"s11", ",", "s22", ",", "0", ",", "s12", ",", "0", ",", "0"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sr", "=", 
   RowBox[{"CC", ".", "e"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eq", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"s", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[Equal]", 
      RowBox[{"sr", "[", 
       RowBox[{"[", "3", "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"s", "[", 
       RowBox[{"[", "5", "]"}], "]"}], "\[Equal]", 
      RowBox[{"sr", "[", 
       RowBox[{"[", "5", "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"s", "[", 
       RowBox[{"[", "6", "]"}], "]"}], "\[Equal]", 
      RowBox[{"sr", "[", 
       RowBox[{"[", "6", "]"}], "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{"eq", ",", 
     RowBox[{"{", 
      RowBox[{"e13", ",", "e23", ",", "e33"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e13", "=", 
   RowBox[{"e13", "/.", 
    RowBox[{"sol", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e23", "=", 
   RowBox[{"e23", "/.", 
    RowBox[{"sol", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "2"}], "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e33", "=", 
   RowBox[{"e33", "/.", 
    RowBox[{"sol", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "3"}], "]"}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.529647035255281*^9, 3.529647041016102*^9}, {
   3.529647085096959*^9, 3.529647091765164*^9}, {3.529647146161227*^9, 
   3.529647182072659*^9}, {3.5296472186797743`*^9, 3.529647530705311*^9}, 
   3.529647679053904*^9, {3.52964789095021*^9, 3.5296478992419453`*^9}, {
   3.529648062270105*^9, 3.529648062747138*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sr", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "//", " ", "Simplify"}], " ", "//", 
   "FortranForm"}], ";"}]], "Input",
 CellChangeTimes->{{3.529648279133957*^9, 3.529648280171542*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Clear", "[", 
    RowBox[{
    "e11", ",", "e22", ",", "e33", ",", "e12", ",", "e13", ",", "e23", ",", 
     "s11", ",", "s22", ",", "s12"}], "]"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "Isotropie", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CCI", "=", 
   RowBox[{"CC", "//.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"c11", "\[Rule]", 
       RowBox[{
        RowBox[{"2", " ", "\[Mu]"}], "+", "\[Lambda]"}]}], ",", 
      RowBox[{"c22", "\[Rule]", "c11"}], ",", 
      RowBox[{"c33", "\[Rule]", "c11"}], ",", 
      RowBox[{"c12", "\[Rule]", "\[Lambda]"}], ",", 
      RowBox[{"c13", "\[Rule]", "c12"}], ",", 
      RowBox[{"c23", "\[Rule]", "c12"}], ",", 
      RowBox[{"c44", "\[Rule]", 
       RowBox[{"c11", "-", "c12"}]}], ",", 
      RowBox[{"c55", "\[Rule]", "c44"}], ",", 
      RowBox[{"c66", "\[Rule]", "c44"}], ",", 
      RowBox[{"c14", "\[Rule]", "0"}], ",", 
      RowBox[{"c15", "\[Rule]", "c14"}], ",", 
      RowBox[{"c16", "\[Rule]", "c14"}], ",", 
      RowBox[{"c24", "\[Rule]", "c14"}], ",", 
      RowBox[{"c25", "\[Rule]", "c14"}], ",", 
      RowBox[{"c26", "\[Rule]", "c14"}], ",", 
      RowBox[{"c34", "\[Rule]", "c14"}], ",", 
      RowBox[{"c35", "\[Rule]", "c14"}], ",", 
      RowBox[{"c36", "\[Rule]", "c14"}], ",", 
      RowBox[{"c44", "\[Rule]", "c14"}], ",", 
      RowBox[{"c45", "\[Rule]", "c14"}], ",", 
      RowBox[{"c46", "\[Rule]", "c14"}], ",", 
      RowBox[{"c56", "\[Rule]", "c14"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CCI", " ", "//", " ", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "e11", ",", "e22", ",", "e33", ",", "e12", ",", "e13", ",", "e23"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"s11", ",", "s22", ",", "0", ",", "s12", ",", "0", ",", "0"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sr", "=", 
   RowBox[{"CCI", ".", "e"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eq", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"s", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "\[Equal]", 
      RowBox[{"sr", "[", 
       RowBox[{"[", "3", "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"s", "[", 
       RowBox[{"[", "5", "]"}], "]"}], "\[Equal]", 
      RowBox[{"sr", "[", 
       RowBox[{"[", "5", "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"s", "[", 
       RowBox[{"[", "6", "]"}], "]"}], "\[Equal]", 
      RowBox[{"sr", "[", 
       RowBox[{"[", "6", "]"}], "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{"eq", ",", 
     RowBox[{"{", 
      RowBox[{"e13", ",", "e23", ",", "e33"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e13", "=", 
   RowBox[{"e13", "/.", 
    RowBox[{"sol", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e23", "=", 
   RowBox[{"e23", "/.", 
    RowBox[{"sol", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "2"}], "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e33", "=", 
   RowBox[{"e33", "/.", 
    RowBox[{"sol", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "3"}], "]"}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.529647916142565*^9, 3.5296479173971252`*^9}, {
  3.529647951102983*^9, 3.529648007919339*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"\[Lambda]", "+", 
       RowBox[{"2", " ", "\[Mu]"}]}], "\[Lambda]", "\[Lambda]", "0", "0", "0"},
     {"\[Lambda]", 
      RowBox[{"\[Lambda]", "+", 
       RowBox[{"2", " ", "\[Mu]"}]}], "\[Lambda]", "0", "0", "0"},
     {"\[Lambda]", "\[Lambda]", 
      RowBox[{"\[Lambda]", "+", 
       RowBox[{"2", " ", "\[Mu]"}]}], "0", "0", "0"},
     {"0", "0", "0", 
      RowBox[{"2", " ", "\[Mu]"}], "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{"2", " ", "\[Mu]"}], "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{"2", " ", "\[Mu]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.5296480092190027`*^9, 3.5296480210449123`*^9}, 
   3.5296480665894814`*^9, 3.529648286511587*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"sr", "//", " ", "Simplify"}], " ", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.529648136908593*^9, 3.5296481548486767`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       FractionBox[
        RowBox[{"2", " ", "\[Mu]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"e22", " ", "\[Lambda]"}], "+", 
           RowBox[{"2", " ", "e11", " ", 
            RowBox[{"(", 
             RowBox[{"\[Lambda]", "+", "\[Mu]"}], ")"}]}]}], ")"}]}], 
        RowBox[{"\[Lambda]", "+", 
         RowBox[{"2", " ", "\[Mu]"}]}]]},
      {
       FractionBox[
        RowBox[{"2", " ", "\[Mu]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"e11", " ", "\[Lambda]"}], "+", 
           RowBox[{"2", " ", "e22", " ", 
            RowBox[{"(", 
             RowBox[{"\[Lambda]", "+", "\[Mu]"}], ")"}]}]}], ")"}]}], 
        RowBox[{"\[Lambda]", "+", 
         RowBox[{"2", " ", "\[Mu]"}]}]]},
      {"0"},
      {
       RowBox[{"2", " ", "e12", " ", "\[Mu]"}]},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.529648137670042*^9, 3.529648155547153*^9}, 
   3.529648290946121*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{740, 857},
WindowMargins->{{170, Automatic}, {24, Automatic}},
FrontEndVersion->"8.0 for Linux x86 (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 154, 3, 72, "Section"],
Cell[736, 27, 4688, 134, 373, "Input"],
Cell[5427, 163, 247, 7, 30, "Input"],
Cell[CellGroupData[{
Cell[5699, 174, 3544, 100, 297, "Input"],
Cell[9246, 276, 1235, 32, 105, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10518, 313, 169, 3, 30, "Input"],
Cell[10690, 318, 1547, 46, 126, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
